{% set projects = entries('portfolio', 'projects').orderBy(setting_value('newebtime.extension.portfolio_projects_block::sort_order'), 'asc').limit(4).get() %}
{% set size = setting_value('newebtime.extension.portfolio_projects_block::thumbnail_size', 195) %}
<div class="row block-divider">
    {% for project in projects %}
        <div class="col-md-3 text-center block-projects">
            <a class="thumbnail"
                    {% if (setting_value('newebtime.extension.portfolio_projects_block::project_link') == 'yes') %} href="{{ route('newebtime.module.portfolio::projects.show', {'projectSlug': project.slug}) }}" {% endif %}
            >
                <div class="overlay">
                    {{ project.images.first.make.width(size~'px').fit(size).class('img-fluid').attr('alt', project.title)|raw }}
                </div>
            </a>
            <h3>{{ project.title }}</h3>
            <hr class="divider-line">
            <p>{{ project.headline.value ? project.headline : project.services.first.title }}</p>
        </div>
    {% endfor %}
    {% if (setting_value('newebtime.extension.portfolio_projects_block::show_more_button') == 'yes') %}
        <a class="btn btn-light btn-lg" href="{{ route('newebtime.module.portfolio::services.index') }}">{{ trans('newebtime.extension.portfolio_projects_block::message.see_more') }}</a>
    {% endif %}
</div>